! DOCU_NAME     bias.prg 
! 
! DOCU_VERSION	1.0 -- adapted from UVES (May 2003) <br>
! DOCU_VERSION	1.1 -- P3 replaced by DISPLAY variable Y/N (2006-04-18)
!
! DOCU_SYNTAX	MIDAS
!
! DOCU_RAWTYPE	BIAS
! 
! DOCU_CALL     processQC -a abname; or:<br>
! DOCU_CALL	from $DFS_PRODUCT/BIAS/$DATE<br>
! DOCU_CALL     inmidas -P -j "@@ $DFO_PROC_DIR/bias.prg $date $primfile Y"<br>
! DOCU_CALL	(the last parameter Y/N controls creation of graphics 
! DOCU_CALL	on the screen)
! 
! DOCU_PURPOSE  compares raw and product BIAS files 
! DOCU_PURPOSE  for FLAMES/GIRAFFE QC assessment; the plots are later reviewed
! DOCU_PURPOSE	within certifyProducts. The first plot (bias1.gif) is stored
! DOCU_PURPOSE	in $DFO_PLT_DIR.
! 
! DOCU_PROCINPUT first raw BIAS from AB; MASTER_BIAS product; <br>
! DOCU_PROCINPUT currently not analyzed: BAD_PIXEL_MAP
!
! DOCU_QC1TABLE giraffe_bias
! 
! DOCU_TRENDPLOT trend_report_BIAS.html
!
! DOCU_QC1PAGE  bias_qc1.html
!
! DOCU_QC1PLOTS	NAME	bias1.gif
! DOCU_QC1PLOTS	DESCR	bias1.gif	<b>box1:</b> comparison master (red) <-> raw (black); 
! DOCU_QC1PLOTS	DESCR	bias1.gif	upper panel: middle row and middle column, full pixel range, in ADU;
! DOCU_QC1PLOTS	DESCR	bias1.gif	lower panel: middle row and middle column, central 100 pixels, in ADU <br>
! DOCU_QC1PLOTS	DESCR	bias1.gif	<b>box 2:</b> structure description; all columns (top) and all rows (bottom) are collapsed and displayed; <br>
! DOCU_QC1PLOTS	DESCR	bias1.gif	<b>box 3:</b> histogram: all pixel values in log frequency histogram; raw: black, master: red; there should be a dominant peak with Gaussian shape (which translates to parabola shape in this log freq diagram)<br>
! DOCU_QC1PLOTS	DESCR	bias1.gif	<b>top panel:</b> name of analyzed master bias frame<br>
! DOCU_QC1PLOTS	DESCR	bias1.gif	<b>bottom panel:</b> some QC1 parameters (median_master; raw RON, master RON, expected RON=raw/sqrt(5), structure parameters)<br>
! 
! DOCU_QC1PLOTS	NAME	bias2.png
! DOCU_QC1PLOTS	DESCR	bias2.png	full display of raw frame (box: area to be displayed in bias4.png)<br>
! DOCU_QC1PLOTS	NAME	bias3.png
! DOCU_QC1PLOTS	DESCR	bias3.png	full display of master frame (box: area to be displayed in bias5.png)<br>
! DOCU_QC1PLOTS	NAME	bias4.png
! DOCU_QC1PLOTS	DESCR	bias4.png	closeup display of raw frame <br>
! DOCU_QC1PLOTS	NAME	bias5.png
! DOCU_QC1PLOTS	DESCR	bias5.png	closeup display of master frame <br>
! 
! DOCU_QC1PARAM QC1 parameters written into QC1 table:<br>
! DOCU_QC1PARAM	<b>QC1db names</b>: datancom | median_master | sigma_raw | sigma_master | struct_row | struct_col <br>
! DOCU_QC1PARAM	<b>FITS key names</b>: DATANCOM | (bias.prg) | OUT1.RON.RAW | OUT1.RON.MASTER | (bias.prg) | (bias.prg) <br>
! DOCU_QC1PARAM QC1 params created by pipeline: all except for median_master, struct_row, struct_col <br>
! DOCU_QC1PARAM QC1 params created by this procedure: median_master, struct_row, struct_col (not correctly calculated by pipeline)
!
! DOCU_ALGORITHM Description of algorithms:<br>
! DOCU_ALGORITHM <b>sigma_master:</b> statistics (std_dev) in central window X1024..1124, Y1998..2098 (MIDAS: stat/ima, bins=1, outputr(4)) <br>
! DOCU_ALGORITHM <b>sigma_raw:</b> statistics (std_dev) in central window X1024..1124, Y1998..2098 (MIDAS: stat/ima, bins=1, outputr(4))  <br>
! DOCU_ALGORITHM <b>median_master:</b> statistics (median) of full frame (MIDAS: stat/ima, bins=0.1, exc=100,300) <br>
! DOCU_ALGORITHM <b>struct_row/col:</b> average/row or col; statistics with exc=mean+/-2 ADU; struct_row/col is the std_dev 
! 
! DOCU_CERTIF	Reasons for rejection:<br> - unusually high bias level or RON level (unless representative); <br>
! DOCU_CERTIF	- unusual structure (compare panel 2 plots with older/reference version);<br>
! DOCU_CERTIF	- non-Gaussian shape of histogram;<br>
! DOCU_CERTIF	- DATANCOM lower than usual (5), especially if N=5 version nearby in time<br>
! DOCU_CERTIF	The closeup displays are useful to check for patterns (pick noise) which should not be there.
!
! DOCU_COMMENTS Some QC parameters are calculated by the pipeline but not yet used for QC1 db ingestion. TBD!

